﻿<!DOCTYPE html>
<head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
</head>

<style>

    svg {
       border:none;
        transform:translateX(50%);
        text-align:center;
        
    }

    .land {
        fill: #E0E0E0;
    }

    .coast {
        fill: none;
        stroke: #0978AB;
        stroke-width: 1.5px;
    }

    .mesh { /* borders*/
        fill: none;
        stroke: #646464;
        stroke-width: 1.5px;
        stroke-dasharray: 8,4;
    }

    .focus {
        fill: #FEFEE9;
        stroke: #646464;
        stroke-width: 2px;
    }
    .name {
        transform: translateX(13px);
    }
    .name:hover {
        fill:black!important;
       
    }
    .tooltip {
        
       
    }
    .rect {
        stroke:none;
    }
</style>
<body>
    <script src="jquery-3.3.1.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="d3.v4.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/topojson/3.0.2/topojson.min.js"></script>
   
    <div class="container">
        <div id="vis"></div>
    </div>
    
    <script>
        var width = 500;
        var height = 800;

        var vis = d3.select("#vis").append("svg")
            .attr("width", width).attr("height", height)
            .append("g")

        d3.json("./data/TextWriterAlba.json", function (json) {
            // create a first guess for the projection
            var center = d3.geoCentroid(json)
            var scale = 150;
            var offset = [width / 2, height / 2];
            var projection = d3.geoMercator().scale(scale).center(center)
                .translate(offset);

            // create the path
            var path = d3.geoPath().projection(projection);


            // using the path determine the bounds of the current map and use
            // these to determine better values for the scale and translation
            var bounds = path.bounds(json);
            var hscale = scale * width / (bounds[1][0] - bounds[0][0]);
            var vscale = scale * height / (bounds[1][1] - bounds[0][1]);
            var scale = (hscale < vscale) ? hscale : vscale;
            var offset = [width - (bounds[0][0] + bounds[1][0]) / 2,
            height - (bounds[0][1] + bounds[1][1]) / 2];

            // new projection
            projection = d3.geoMercator().center(center)
                .scale(scale).translate(offset);
            path = path.projection(projection);

            // add a rectangle to see the bound of the svg
            vis.append("rect").attr('width', width).attr('height', height)
                .style('stroke', 'white').style('fill', 'none');
                
            vis.selectAll("path").data(json.features).enter().append("path")

                .attr("data-countyID", function (d) { return d.properties.countyCode })
                .attr("title", function (d) { return d.properties.name })
                .attr("natcode", function (d) { return d.properties.natcode })
                .attr("countyMn", function (d) { return d.properties.countyMn })
                .attr("class", "name")
                .attr("d", path)
                .style("fill", "burlywood")
                .style("stroke-width", "1")
                .style("stroke", "black")


            $(".name").attr("data-toggle", "tooltip");
            $(".name").attr("data-placement", "bottom");

            $('[data-toggle="tooltip"]').tooltip();
        });



    </script>
</body>
